/*
This is the test file to check the correctenss of the manifold defined in CpxNSTQOrth.h and CpxNSTQOrth.cpp.

---- WH
*/

#ifndef TESTOBLIQUEQCOR_H
#define TESTOBLIQUEQCOR_H


#include <iostream>
#include "Others/randgen.h"
#include "Manifolds/Manifold.h"
#include "Problems/Problem.h"
#include "Solvers/SolversLS.h"
#include <ctime>
#include "test/DriverMexProb.h"

#include "Manifolds/ObliqueQ/ObliqueQVariable.h"
#include "Manifolds/ObliqueQ/ObliqueQVector.h"
#include "Manifolds/ObliqueQ/ObliqueQ.h"

#include "Problems/Problem.h"
#include "Problems/ObliqueQCor/ObliqueQCor.h"
#include "Problems/SphereTxRQ/SphereTxRQ.h"

#include "Solvers/RSD.h"
#include "Solvers/RNewton.h"
#include "Solvers/RCG.h"
#include "Solvers/RBroydenFamily.h"
#include "Solvers/RWRBFGS.h"
#include "Solvers/RBFGS.h"
#include "Solvers/LRBFGS.h"

#include "Solvers/SolversTR.h"
#include "Solvers/RTRSD.h"
#include "Solvers/RTRNewton.h"
#include "Solvers/RTRSR1.h"
#include "Solvers/LRTRSR1.h"

#include "Others/def.h"

using namespace ROPTLIB;

void testObliqueQCor();

#endif // end of TESTOBLIQUEQCOR_H
